Swiftpack.co - Package - philip-bui/s2-geometry-swift

S2Geometry Swift

CI Status CodeCov Version Carthage Compatible Platform License

Requirements

  • iOS 8.0+ / macOS 10.9+ / tvOS 9.0+ / watchOS 2.0+
  • xCode 10.3+
  • Swift 4.0+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. For usage and installation instructions, visit their website. To integrate S2Geometry into your Xcode project using CocoaPods, specify it in your Podfile:

pod 'S2GeometrySwift'

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks. To integrate S2GeometrySwift into your Xcode project using Carthage, specify it in your Cartfile:

github "philip-bui/s2-geometry-swift" 

Swift Package Manager

The Swift Package Manager is a tool for automating the distribution of Swift code and is integrated into the swift compiler. It is in early development, but S2Geometry does support its use on supported platforms.

Once you have your Swift package set up, adding S2Geometry as a dependency is as easy as adding it to the dependencies value of your Package.swift.

dependencies: [
    .package(url: "https://github.com/philip-bui/s2-geometry-swift.git", from: "1.0.1"))
]

Special Thanks

  • Google - Creator of S2Geometry.
  • Contributors - Everyone committed to keeping S2Geometry Swift up to date.

License

S2GeometrySwift is available under the MIT license. See LICENSE for details.

Github

link
Stars: 3
Help us keep the lights on

Dependencies

Used By

Total: 0

Releases

1.0.2 - Jan 12, 2019

This Release adds Carthage, Swift Package Manager support.

Some extra changes include:

  • Adding macOS, tvOS, watchOS support across Cocoapods, Carthage and Swift Package Manager.
  • Updating travis to test macOS, tvOS and watchOS.
  • Updating podspec to 1.0.2.

1.0.1 - Nov 26, 2018

This Release adds support for Swift 4.0.

A few overflow calculating methods are changed in Swift 4.0. This release updates the incompatible methods.